Skip to main content
Dedicated drafts API. You can also save drafts via draft: true on Posting. Requires drafts_enabled.

Endpoints

MethodPathDescription
POST/unified/draftsCreate
GET/unified/draftsList
GET/unified/drafts/{draft_id}Get one
PATCH/unified/drafts/{draft_id}Update
DELETE/unified/drafts/{draft_id}Delete
POST/unified/drafts/{draft_id}/publishPublish now
POST/unified/drafts/{draft_id}/scheduleMove to schedule

List example

curl "https://backend.postsiva.com/unified/drafts?platform=linkedin&limit=20" \
  -H "X-API-Key: psk_live_YOUR_KEY"
Filters: platform, linkedin_page_ids, facebook_page_ids, pagination.

Publish

curl -X POST "https://backend.postsiva.com/unified/drafts/DRAFT_UUID/publish" \
  -H "X-API-Key: psk_live_YOUR_KEY"

Guide

Full workflows (including draft_platforms): Drafts guide.